Bug 1292510 - [RFE] Satellite should support OpenSCAP tailoring file
Summary: [RFE] Satellite should support OpenSCAP tailoring file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: Unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Ondřej Pražák
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks: 1454565
TreeView+ depends on / blocked
 
Reported: 2015-12-17 16:05 UTC by Rob Marti
Modified: 2021-03-11 14:27 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:33:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
wizard for adding tailoring file (20.09 KB, image/png)
2017-10-24 19:25 UTC, Sanket Jagtap
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14158 0 Normal Closed Tailoring file support 2020-03-19 17:05:08 UTC
Red Hat Knowledge Base (Solution) 2159621 0 None None None 2016-02-12 06:28:07 UTC
Red Hat Knowledge Base (Solution) 2377951 0 None None None 2016-07-11 17:17:14 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 6 Bryan Kearney 2016-07-08 20:23:08 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 8 Martin Preisler 2016-07-11 15:51:07 UTC
This is a very common issue that I get asked about all the time when talking about OpenSCAP. It should be fairly easy to implement. Is there anything I can do to help get this done for Satellite 6.3?

Comment 9 Rob Marti 2016-10-13 02:48:47 UTC
Are we still on track for 6.3 for this?

Comment 10 Bryan Kearney 2016-11-29 11:15:54 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 11 Bryan Kearney 2016-11-29 11:16:01 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 13 pm-sat@redhat.com 2017-01-06 13:15:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/14158 has been resolved.

Comment 15 Sanket Jagtap 2017-10-24 19:24:13 UTC
Build : Satellite 6.3.0 snap 21

Tailoring File support is added in 6.3.
New option to add a tailoring file is added to scap section 
tailoring File is associated with policy and configured in respective clients

PFA

Client output:

foreman_scap_client 1
File /var/lib/openscap/content/96c2a9d5278d5da905221bbb2dc61d0ace7ee3d97f021fccac994d26296d986d.xml is missing. Downloading it from proxy.
Download SCAP content xml from: https://.com:9090/compliance/policies/1/content/96c2a9d5278d5da905221bbb2dc61d0ace7ee3d97f021fccac994d26296d986d
File /var/lib/openscap/tailoring/dec2ea0e92e7abeccabff684631a1bb3f18d040a8f23cb172074776af4b41991.xml is missing. Downloading it from proxy.
Download Tailoring file xml from: https://.com:9090/compliance/policies/1/tailoring/dec2ea0e92e7abeccabff684631a1bb3f18d040a8f23cb172074776af4b41991
DEBUG: running: oscap xccdf eval --profile xccdf_org.ssgproject.content_profile_common_customized_tailoring1 --tailoring-file /var/lib/openscap/tailoring/dec2ea0e92e7abeccabff684631a1bb3f18d040a8f23cb172074776af4b41991.xml --results-arf /tmp/d20171024-2789-b266bk/results.xml /var/lib/openscap/content/96c2a9d5278d5da905221bbb2dc61d0ace7ee3d97f021fccac994d26296d986d.xml
WARNING: This content points out to the remote resources. Use `--fetch-remote-resources' option to download them.
WARNING: Skipping https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL7.xml.bz2 file which is referenced from XCCDF content
DEBUG: running: /usr/bin/bzip2 /tmp/d20171024-2789-b266bk/results.xml
Uploading results to https://.com:9090/compliance/arf/1

Comment 16 Sanket Jagtap 2017-10-24 19:25:43 UTC
Created attachment 1342934 [details]
wizard for adding tailoring file

Comment 19 errata-xmlrpc 2018-02-21 12:33:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.